Independent Submission Editor Model
RFC 8730
Nevil Brownlee, Ed.
The University of Auckland
Robert M. Hinden, Ed.
Check Point Software
2020-02
ISE
IASA
RSE
LLC
IAB
This document describes the function and responsibilities of the RFC Independent Submission Editor (ISE). The Independent Submission stream is one of the stream producers that create draft RFCs, with the ISE as its stream approver. The ISE is overall responsible for activities within the Independent Submission stream, working with draft editors and reviewers, and interacts with the RFC Production Center and Publisher, and the RFC Series Editor (RSE). The ISE is appointed by the IAB, and also interacts with the IETF Administration Limited Liability Company (LLC).
This version obsoletes RFC 6548 to replace all references to the Internet Administrative Support Activity (IASA) and related structures with those defined by the IASA 2.0 structure.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Architecture Board (IAB) and represents information that the IAB has deemed valuable to provide for permanent record. It represents the consensus of the Internet Architecture Board (IAB). Documents approved for publication by the IAB are not candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8730.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document.
Table of Contents
- 1. Introduction
- 2. Independent Submission Editor
  - 2.1. Qualifications
  - 2.2. Responsibilities
- 3. Independent Submission Editorial Board
- 4. Security Considerations
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- IAB Members at the Time of Approval
- Acknowledgements
- Authors' Addresses
Introduction
The RFC Editor Model [RFC8728] defines a set of streams that produce draft RFCs, which are submitted for publication. This document defines the management function for the Independent Submission stream, specifically the role of Independent Submission Editor (ISE).
The previous version of this document [RFC6548] is a derivative of [RFC5620], Section 3.2, and was separated out from [RFC6635].
This document updates the Independent Submission Editor Model to align it with the IASA 2.0 structure [RFC8711] that creates the IETF Administration Limited Liability Company ("LLC") managed by a board of directors ("LLC Board"). This document obsoletes [RFC6548].
Independent Submission Editor
The ISE is an individual who is responsible for the Independent Submission stream of RFCs, as defined by [RFC8729]. The Independent Submission stream and the ISE are not under the authority or direction of the RSE or the RFC Series Oversight Committee (RSOC) (see [RFC8728]). As noted below, the ISE is appointed by and is responsible directly to the IAB.
Qualifications
The ISE is a senior position for which the following qualifications are desired:
1. Technical competence, i.e., broad technical experience and perspective across a wide range of Internet technologies and applications, and also the ability to work effectively with portions of that spectrum in which they have no personal expertise.
2. Thorough familiarity with the RFC series.
3. An ability to define and constitute advisory and document review arrangements. If those arrangements include an Editorial Board similar to the current one or some equivalent arrangement, the ability to assess the technical competence of potential Editorial Board members (see Section 3).
4. Good standing in the technical community, in and beyond the IETF.
5. Demonstrated editorial skills, good command of the English language, and demonstrated history of being able to work effectively with technical documents and materials created by others.
6. The ability to work effectively in a multi-actor environment with divided authority and responsibility similar to that described in [RFC6635].
Responsibilities
The ISE is an individual who may have assistants and who is responsible for:
1. Maintaining technical quality of the Independent Submission stream.
2. Reviewing, approving, and processing Independent Submissions.
3. Forwarding draft RFCs in the Independent Submission stream to the RFC Production Center.
4. Defining and developing the scope of the Independent Submission stream as a part of the overall RFC Editor function [RFC6635].
5. Reviewing and approving RFC errata for Independent Submissions.
6. Coordinating work and conforming to general RFC Series policies as specified by the IAB and RSE.
7. Providing statistics and documentation as requested by the RSE and/or LLC.
The ISE may choose to select individuals to participate in an Advisory Board for assistance in special topics as the ISE deems appropriate. Such an Advisory Board exists at the pleasure of the ISE, and its members serve at the pleasure of the ISE.
The individual with the listed qualifications is selected by the IAB after input has been collected from the community.
While the ISE itself is considered a volunteer function, the IAB considers maintaining the Independent Submission stream part of the IAB's supported activities. Therefore, the LLC should include these costs in the IASA budget.
Independent Submission Editorial Board
The ISE is supported by an Editorial Board for the review of Independent Submission stream documents. This board is known as the Independent Submission Editorial Board. This volunteer Editorial Board exists at the pleasure of the ISE, and its members serve at the pleasure of the ISE. The existence of this board is simply noted within this model, and additional discussion of such is considered out of scope of this document.
Security Considerations
This document has no specific security implications, however the same security considerations as those in [RFC4846] and [RFC8729] apply.
References
Normative References
[RFC4846]

Independent Submissions to the RFC Editor
J. Klensin, Ed.
D. Thaler, Ed.
July 2007
RFC 4846
DOI 10.17487/RFC4846
[RFC6548]

Independent Submission Editor Model
N. Brownlee, Ed.
IAB
June 2012
RFC 6548
DOI 10.17487/RFC6548
[RFC8711]

Structure of the IETF Administrative Support Activity, Version 2.0
B. Haberman
J. Hall
J. Livingood
February 2020
BCP 101
RFC 8711
DOI 10.17487/RFC8711
[RFC8728]

RFC Editor Model (Version 2)
Olaf Kolkman, Ed.
Joel Halpern, Ed.
Robert Hinden, Ed.
February 2020
RFC 8728
DOI 10.17487/RFC8728
[RFC8729]

The RFC Series and RFC Editor
R. Housley, Ed.
L. Daigle, Ed.
February 2020
RFC 8729
DOI 10.17487/RFC8729
Informative References
[RFC5620]

RFC Editor Model (Version 1)
O. Kolkman, Ed.
IAB
August 2009
RFC 5620
DOI 10.17487/RFC5620
[RFC6635]

RFC Editor Model (Version 2)
O. Kolkman, Ed.
J. Halpern, Ed.
IAB
June 2012
RFC 6635
DOI 10.17487/RFC6635
IAB Members at the Time of Approval
The IAB members at the time of approval of [RFC6548] were: Bernard Aboba, Ross Callon, Alissa Cooper, Joel Halpern, Spencer Dawkins, Russ Housley, David Kessens, Olaf Kolkman, Danny McPherson, Jon Peterson, Andrei Robachevsky, Dave Thaler, and Hannes Tschofenig.
The IAB members at the time of approval of this document (RFC 8730) were: Jari Arkko, Alissa Cooper, Stephen Farrell, Wes Hardaker, Ted Hardie, Christian Huitema, Zhenbin Li, Erik Nordmark, Mark Nottingham, Melinda Shore, Jeff Tantsura, Martin Thomson, and Brian Trammell.
Acknowledgements
Generous thanks to Joel Halpern for all his help with this document, and for all his work on [RFC6635]. Thanks also to the IAB members, whose comments and suggestions were both welcome and useful.
Bob Hinden served as document editor for this RFC to align it with the IASA 2.0 structure.
Authors' Addresses
Nevil Brownlee, Ed.
The University of Auckland
n.brownlee@auckland.ac.nz
Robert M. Hinden, Ed.
Check Point Software
959 Skyway Road
San Carlos
CA
94070
USA
bob.hinden@gmail.com